[general]
    executor = "shell"
    data_dir = "$HOME"
    retain_logs = true
    custom_build_dir = false
    name = "Jacamar CI runner"
    kill_timeout = "60s"
    job_message = """
  ****************************************************************************
                 GitLab custom executor based on Jacamar CI 

          This runner is deployed on the login node of a SLURM cluster
          running on Nancy site of grid5000 network of clusters
  ****************************************************************************
  """

[auth]
    downscope = "setuid"
    max_env_chars = 10000
    lists_pre_validation = false
    root_dir_creation = false
    pipeline_source_allowlist = ["push", "web", "schedule", "api", "trigger", "merge_request_event", "pipeline"]

[auth.logging]
  enabled = true
  location = "syslog"